Subject: Re: bug#20906: 25.0.50;

From: Mike FABIAN <[email-masked]>
Date: Thu, 08 Oct 2015 15:25:59 +0200

Mike FABIAN <[email-masked]> さんはかきました:

> Eli Zaretskii <[email-masked]> さんはかきました:
>
>> If the data we receive is different, I guess the only explanation
>> could be that we request it in some different way?
>
> Yes, in the old code
>
>    (defun x-get-selection (&optional type data-type)
>
> is called with “'UTF8_STRING” in data-type,
> in the new code 
>
>    (defun gui-get-selection (&optional type data-type)
>
> is called with “nil” in data type.
>
> That seems to make the difference, evaluating
>
>     (gui-get-selection 'PRIMARY 'UTF8_STRING)
>
> gets the selection correctly using the new code,  
>
>     (gui-get-selection 'PRIMARY)
>
> produces the problem I am seeing. 
>
> I still now know why this is called differently, looking ...

New edebug backtrace:

  gui-get-selection(PRIMARY)
  gui-get-primary-selection()
  mouse-yank-primary((mouse-2 (#<window 8 on *scratch*> 657 (345 . 219) 916195932 nil 657 (43 . 14) nil (345 . 3) (8 . 15))))
  funcall-interactively(mouse-yank-primary (mouse-2 (#<window 8 on *scratch*> 657 (345 . 219) 916195932 nil 657 (43 . 14) nil (345 . 3) (8 . 15))))
  call-interactively(mouse-yank-primary nil nil)
  command-execute(mouse-yank-primary)

Old edebug backtrace:

  x-get-selection(PRIMARY UTF8_STRING)
  byte-code("\303	@\"\303\207" [type request-type text x-get-selection] 3)
  x-selection-value-internal(PRIMARY)
  x-get-selection-value()
  mouse-yank-primary((mouse-2 (#<window 8 on *scratch*> 192 (460 . 305) 916425597 nil 192 (57 . 4) nil (460 . 245) (8 . 15))))
  funcall-interactively(mouse-yank-primary (mouse-2 (#<window 8 on *scratch*> 192 (460 . 305) 916425597 nil 192 (57 . 4) nil (460 . 245) (8 . 15))))
  call-interactively(mouse-yank-primary nil nil)
  command-execute(mouse-yank-primary)

-- 
Mike FABIAN <[email-masked]>
睡眠不足はいい仕事の敵だ。